++++++++++++++++++++++++
X-Ray MOD 1.7
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Add	| Stulle	| Mephisto/JvA	| Added drop blocking clients							| // X-Ray :: SlotControl
Add	| JvA		| JvA		| Added gap support for Part Status Bar of Shared Parts Feature			| // X-Ray :: SharedParts
Add	| SiRoB		| MorphXT	| Bypass ICS when preview chunks should be downloaded first			| // X-Ray :: ICS
Fix	| JvA		| JvA		| Fixed minor roundering bug around slotspeed					| // X-Ray :: SlotControl
Fix	| Tuxman	| JvA		| Fixed minor crashbug around SharedParts on Single-File Sharing		| // X-Ray :: SharedParts
Fix	| morph4u	| morph4u	| Fixed minor preferences bug around statistics tree update delay

++++++++++++++++++++++++
X-Ray MOD 1.7 RC1
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Merge	|		|		| Merged to 49c Codebase
Update	| Xman		| zz_fly	| Minor Update of Antileech.dll - Version 6
Update	|		|		| Updated Crypto++ code to v5.6.0 (15/03/2009)					| // X-Ray :: NewCrypto++
Update	|		|		| Updated MiniUPnP code to v1.3 (17/04/2009)
Update	| xrmb		| JvA		| Reworked Shared-Parts feature due to shareable file class			| // X-Ray :: SharedParts
Feature	| xrmb		| Xtreme/Stulle	| FunnyNick									| // X-Ray :: FunnyNick
Add	| eMule+/JvA	| JvA		| Added Part Status Bar to Shared Parts Feature					| // X-Ray :: SharedParts
Add	| JvA/WiZaRd	| WiZaRd/JvA	| Added Fincan Hash detection to Argos (enabled by default)			| // X-Ray :: Argos
Add	| Official	| Stulle	| Added RAR support for IPFilter Update						| // X-Ray :: IPFilterUpdate
Change	| JvA		| JvA		| Minor adjustments of the owing upload data amount calculation			| // X-Ray :: FullChunk
Change	| JvA		| JvA		| HTTP-Download Progressbar style is now the same as in the Shared Files Window	| // X-Ray :: NewHTTPProgressbar
Change	| JvA		| JvA		| Several enhancements and changes around Transfer Window (disable list etc.)	| // X-Ray :: RollUpCtrl
Change	| WiZaRd	| JvA		| Altered IntelliFlush to use official FileBufferTimeLimit prefences.ini option	| // X-Ray :: IntelliFlush
Change	| jerryBG	| jerryBG	| Minor changes around vertical Countryflag Alignment				| // X-Ray :: IP2Country
Change	| JvA		| JvA		| Now the known clients count in Transfer-Wnd counts instead of beeing static	| // X-Ray :: RollUpCtrl
Change	| Aw3/eMule+	| eMule+	| Minor changes around value saving to preferences.ini (faster method)		| // X-Ray :: RollUpCtrl
Fix	| gomez82	| gomez82	| Fixed major argos bug that caused that all X-Ray clients were modthiefs	| // X-Ray :: Argos
Fix	| JvA		| JvA		| Fixed minor crash bug around SharedParts feature				| // X-Ray :: SharedParts
Fix	| Tuxman	| JvA		| Fixed minor draw bug around ClientDetailDialog				| // X-Ray :: RedesignedClientDetailDlg
Fix	| Tuxman	| JvA		| Fixed minor draw bug around Sourcecache Column in DownloadListCtrl		| // X-Ray :: Sourcecache
Fix	| JvA		| JVA		| Fixed minor cosmetic bug on saving SLS clients				| // X-Ray :: SLS
Fix	| morph4u	| morph4u	| Fixed minor bug on saving Argos preferences (Plain AntiNickThief wasn't saved)| // X-Ray :: Argos
Fix	| Rapid_Mule	| Rapid_Mule	| Fixed minor bug around Argos Nickchanger detection				| // X-Ray :: Argos
Fix	| morph4u/WiZaRd| JvA		| Fixed minor crash bug around SearchResult DetailDialog			| // X-Ray :: NewFileDetailDialog
Fix	| JvA		| JvA		| Fixed possible crashes around Credit-pointer					| // X-Ray :: SuperiorClientHandling
Fix	| JvA		| JvA		| Fixed minor PBF display bug around Uploadlist					| // X-Ray :: SuperiorClientHandling
Fix	| JvA		| JvA		| Fixed minor bug around MassRename that could result in an endless loop	| // X-Ray :: MassRename
Fix	| Stulle	| MorphXT	| Fixed minor bug around SharedFilesCtrl that could result in an endless loop
Fix	| moloko+	| MorphXT	| Fixed minor sorting bug in SharedFilesCtrl
Fix	| morph4u	| morph4u	| Fixed minor bug around FileFeedback (forgot one codeline...stupid me)		| // X-Ray :: Filefeedback
Fix	| morph4u	| JvA		| Fixed major bug around Simple Cleanup -> Simple Cleanup was not working	| // X-Ray :: MassRename
Fix	| Stulle	| Stulle	| Fixed minor bug around Downloading via Webserver
Fix	| WiZaRd	| WiZaRd	| Fixed memleak around RollupCtrl						| // X-Ray :: RollUpCtrl
Fix	| WiZaRd	| WiZaRd	| Fixed major crash around SysInfo on Vista					| // X-Ray :: Statusbar
Fix	| JvA		| JvA		| Fixed memleak around Global Hardlimit						| // X-Ray :: Global Hardlimit
Fix	| JvA		| WiZaRd	| Fixed memleak around SimpleCleanup						| // X-Ray :: MassRename
Fix	| Tuxman/WiZaRd	| JvA		| Fixed minor unicode bug around Categries if non-unicode Logfont was selected
Fix	| Tuxman	| JvA		| Fixed bug around Friends - Friends were not correctly recognized in some cases
Fix	| Crimson	| Stulle	| Fixed minor bug on IP-Filter update						| // X-Ray :: IPFilterUpdate
FiX	| WiZaRd	| WiZaRd	| Fixed minor ID3lib buffer overflow
Remove	| Tuxman	| JvA		| Removed some more redundant official code around Transfer Window Style	| // X-Ray :: RollUpCtrl
Remove	| SiRoB		| MorphXT	| Removed redundant Optimization around List Controls due to 49c merge		| // X-Ray :: Optimizations
Remove	| JvA		| WiZaRd	| Removed redundant buggy fix for filtertext update on language change		| // X-Ray :: FiXeS


++++++++++++++++++++++++
X-Ray MOD 1.6
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Update	|		|		| Updated Crypto++ code to v5.5.2 (24/09/2007)					| // X-Ray :: NewCrypto++
Update	|		|		| Updated MiniUPnP code to v1.2 (07/10/2008)
Update	| David Xanatos	| zz_fly/JvA	| Updated Argos code by adding some new detection methods for fake emules...	| // X-Ray :: Argos
Improve	| taz		| WiZaRd	| Minor optimization in CPartFile::UpdatePartsInfo
Improve	| WiZaRd	| eMulefuture	| Skip DupCheck if it is not necessary						| // X-Ray :: Optimizations
Feature	| David Xanatos	| JvA		| Automatic Restart eMule Client if necessary					| // X-Ray :: AutoRestartIfNecessary
Feature	| JvA		| JvA		| Save Date of the last SharedFileRequest to avoid removing requested files	| // X-Ray :: SaveLastRequest
Feature	| David Xanatos	| NeoMule	| Relative Chunk Display							| // X-Ray :: RelativeChunkDisplay
Add	| JvA		| JvA		| Added H.264 and 3vid FourCC Codes to the MediaInfo Detection			| // X-Ray :: MoreFourCCCodes
Add	| JvA		| JvA		| Added DownloadChunkDisplay also to the Downloading Clients List		| // X-Ray :: DownloadChunkDisplay
Add	| JvA		| JvA		| Added some more information to the SharedParts Chunklist			| // X-Ray :: SharedParts
Change	| JvA		| JvA		| Bad Sources (identified by Argos) won't be sent via SourceExchange		| // X-Ray :: Argos
Fix	| JvA		| JvA		| Fixed (hopefully) major source finding bug
Fix	| JvA		| WiZaRd	| Fixed minor official draw bug around SharedFiles Filter on Language change
Fix	| JvA		| JvA		| Fixed minor draw bug around Toolbar on low resolutions (Hiding speedmeter now)| // X-Ray :: Speedgraph
FiX	| JvA		| WiZaRd	| Fixed minor crash bug around Collections (caused by Modeless Dialogs)		| // X-Ray :: ModelessDialogs
Fix	| JvA		| WiZaRd	| Fixed minor crash bug around ReqFileCtrl (caused by my own stupidity)		| // X-Ray :: MultiFileStatusbars


++++++++++++++++++++++++
X-Ray MOD 1.5
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Merge	|		|		| Merged to 49b Codebase
Update	|		|		| Updated MiniUPnP code to v1.1 (04/07/2008)
Update	| Xman		| Stulle/MyTh/..| Major Update of Antileech.dll - Version 4 (including xunlei detection)
Update	| JvA		| JvA		| Minor Update of countryflag.dll's						| // X-Ray :: IP2Country
Feature	| JvA		| JvA		| Queue List per File in Shared Files Window					| // X-Ray :: QueueListPerFile
Feature	| Xman		| Xtreme	| See OnQueue									| // X-Ray :: SeeOnQueue
Add	| Maella	| Xtreme	| Several code Fixes								| // X-Ray :: FiXeS
Add	| Maella/Xman/..| Xtreme	| Several code Improvements							| // X-Ray :: Optimizations
Improve	| Michael Fatzi	| JvA		| Changed minor code part (FillRect->FillSolidRect) because it's faster		| // X-Ray :: Speedgraph
Improve	| David Xanatos	| JvA		| Changed several code parts around Argos code					| // X-Ray :: Argos
Fix	| Makkurayami	| JvA		| Fixed minor Statisticsbug caused by a to small array				| // X-Ray :: StandbyDownload
Fix	| Crimson	| JvA		| Fixed minor Preferences Bugs in Argos Page and changed some default values	| // X-Ray :: Argos
Fix	| AUG		| JvA		| Fixed minor NULL-Pointer bug in AddBannedClient				| // X-Ray :: Argos
Fix	| JvA		| JvA		| Fixed minor draw bug on stopping a file with A4AF-sources			| // X-Ray :: MultiFileStatusbars
Fix	| bscabral	| DreaMule	| Fixed minor Multimonitor Bug around Tooltips
Remove	| WiZaRd	| eMulefuture	| Redesigned Shared Files Window						| // X-Ray :: RedesignedFilesWnd
Remove	| SiRoB		| MorphXT	| Fix Connection Collision - don't know if it's really needed in 49b		| // X-Ray :: FixConnectionCollision


++++++++++++++++++++++++
X-Ray MOD 1.4
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Merge	|		| 		| Merged to 49a Codebase
Update	|		|		| Updated libpng to 1.2.28 due to official lib update
Update	|		|		| Updated CxImage to 6.0 due to official lib update
Update	| Xman		| Xtreme	| Minor Update of Antileech.dll
Update	| eMule+	| eMule+	| Major Update of Rollup Control Code - gui.dat isn't used anymore + cleanup	| // X-Ray :: RollUpCtrl
Update	| eMule+	| eMule+	| Minor Update of SlideBar Code							| // X-Ray :: PrefSlider
Feature	| MorphXT	| NeoMule	| MassRename including SimpleCleanup						| // X-Ray :: MassRename
Feature	| Stulle	| Mephisto/JvA	| Superior Client Handling							| // X-Ray :: SuperiorClientHandling
Feature	| AndCycle/SiRoB| Stulle/JvA	| Payback First									| // X-Ray :: PaybackFirst
Feature	| ZZ/MorphXT	| Mephisto	| Powershare									| // X-Ray :: Powershare
Fix	| RapidMule	| RapidMule/WiZ	| Fixed GDI-Leak around IP2Country						| // X-Ray :: IP2Country
Fix	| RapidMule	| RapidMule/WiZ	| Fixed GDI-Leak around Directories-Page on close
Fix	| WiZaRd	| WiZaRd	| Fixed Memory Corruption in Webserver
Fix	| JvA		| JvA		| Fixed minor buffer overflow bug in Uploadlist					| // X-Ray :: FullChunk
Fix	| JvA		| JvA		| Fixed minor banning bug - could happen that banned clients aren't recognized	| // X-Ray :: Argos
Fix	| WiZaRd	| StulleMule	| Fixed some Memleaks in SysInfo Code						| // X-Ray :: Statusbar
Remove	| netfinity	| ScarAngel	| SafeKad - has to be verified if needed					| // X-Ray :: SafeKad
Remove	| netfinity	| ScarAngel	| Anti fragmenting - has to be verified if needed				| // X-Ray :: AntiFragmenting
Remove	| netfinity	| ScarAngel	| KadPerformance Improvements - has to be verified if needed			| // X-Ray :: InlineKadFunctions
Remove	| Xanatos	| Mephisto	| Corruption Black Box Fix - implemented in official code now			| // X-Ray :: CorruptionBlackBoxFix
Remove	| WiZaRd	| DreaMule	| ShareFilter - implemented in official code now				| // X-Ray :: ShareFilter


++++++++++++++++++++++++
X-Ray MoD 1.3
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Recode	| Stulle/JvA	| Stulle/JvA	| Complete Recode of Slotcontrol (Slotspeed + Trickleslots)			| // X-Ray :: SlotControl
Recode	| JvA		| JvA		| Complete recode of FullChunk Calculation Method				| // X-Ray :: FullChunk
Update	| ???		| StulleMule	| Major update of SysInfo Code							| // X-Ray :: Statusbar
Update	| Slugfiller	| NeoMule	| Major update of Modeless Dialogs Code						| // X-Ray :: ModelessDialogs
Feature	| David Xanatos	| NeoMule	| New File Detail Dialog - already implemented but tagged with ModelessDlg's	| // X-Ray :: NewFileDetailDialog
Feature	| eMule+	| dlarge	| eMule+ Transferwnd Style - Rollup Control					| // X-Ray :: RollUpCtrl
Feature	| enkeyDEV	| Spike2/NeoMule| LowID to HighID Automatic Callback						| // X-Ray :: L2HAC
Feature	| WiZaRd	| DreaMule	| ShareFilter									| // X-Ray :: ShareFilter
Feature	| ???		| NeoMule	| Manual Client Management							| // X-Ray :: ManualClientManagement
Feature	| TPT/Xanatos	| NeoMule/Stulle| XP-Style Menus								| // X-Ray :: XPMenus
Feature	| eMule+	| NeoMule	| FileStatusIcons								| // X-Ray :: FileStatusIcons
Feature	| shadow	| NeoMule	| Only Download Complete Files							| // X-Ray :: OnlyDownloadCompleteFiles
Feature	| David Xanatos	| NeoMule	| Suspend Collecting								| // X-Ray :: SuspendCollecting
Feature	| David Xanatos	| NeoMule	| UnSolicitedPartStatus - needed for StandbyDownload				| // X-Ray :: UnSolicitedPartStatus
Feature	| David Xanatos	| NeoMule	| StandbyDownload								| // X-Ray :: StandbyDownload
Feature	| netfinity	| ScarAngel	| SafeKad									| // X-Ray :: SafeKad
Feature	| netfinity	| ScarAngel	| Anti fragmenting								| // X-Ray :: AntiFragmenting
Feature	| netfinity	| ScarAngel	| KadPerformance Improvements - moved some functions inline			| // X-Ray :: InlineKadFunctions
Feature	| Avi3k		| NeoMule	| Update nodes.dat frequently							| // X-Ray :: UpdateNodesDatFrequently
Change	| JvA		| JvA		| Splashscreen & Sidebanner
Change	| JvA		| JvA		| LeecherLog is static now							| // X-Ray :: LeecherLog
Remove	| JvA		| JvA		| Removed some senseless checks for ASL & ACC
Remove	| Slugfiller	| TKB/JvA/Stulle| SlotRelease									| // X-Ray :: SlotRelease
Fix	| shadow2004	| eMulefuture	| Fixed minor bug around Preferences Dialog - this time for real ;)		| // X-Ray :: PrefSlider
Fix	| leuk_he	| eMulefuture	| Fixed minor bug in emuledlg: do not ask exit from command prompt
Fix	| David Xanatos	| NeoMule 	| Fixed minor nullpointer bug in UploadClient					| // X-Ray :: MultiFileStatusbars
Fix	| Xanatos	| Mephisto	| Corruption Black Box Fix							| // X-Ray :: CorruptionBlackBoxFix
Fix	| netfinity	| WARP		| Fixed bug in sockets.cpp around socket deletion
Fix	| TimDzand	|		| Fixed minor bug in Tweaks Preferences Page
Cleanup	| JvA		| JvA		| Cleaned up some useless codeparts


++++++++++++++++++++++++
X-Ray MoD 1.2
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Merge	|		|		| Merged to 48a Codebase
Merge	|		|		| Now x-Ray uses all Xtremelibs (thx2Stulle)					| // X-Ray :: cryptlib 5.2.1
Update	| netfinity	| WARP		| Minor update of DelayedNNP Code						| // X-Ray :: DelayedNNP
Update	| netfinity	| WARP		| Minor update of KnownClientBonus Code						| // X-Ray :: KnownClientBonus
Update	| WiZaRd	| eMulefuture	| Major update of SLS-Code							| // X-Ray :: SLS
Update	| MorphXT	| NeoMule	| Minor update of MultiFileStatusBars						| // X-Ray :: MultiFileStatusbars
Update	| WiZaRd	| eMulefuture	| Major update of ClipStat code	(also changed tag from WiZaRdStats to ClipStat)	| // X-Ray :: ClipStat
Update	| David Xanatos	| NeoMule	| Minor update of BetterClientAttaching Code					| // X-Ray :: BetterClientAttaching
Feature	| ???		| Diclonius/JvA	| Filefeedback									| // X-Ray :: Filefeedback
Feature	| eMule+	| NeoMule	| eMule+ Ini2-Class								| // X-Ray :: eMulePlusIniClass
Feature	| David Xanatos	| NeoMule	| KadInterfaceImprovement							| // X-Ray :: KadInterfaceImprovement
Feature	| WiZaRd	| eMulefuture	| AICH-Security									| // X-Ray :: AICHSecurity
Feature	| SR-13		| NeoMule	| Part Import/Export								| // X-Ray :: PartImportExport
Feature	| enkeyDEV	| eMF/Spike2	| Intelligent Chunk Selection							| // X-Ray :: ICS
Feature	| Xman		| NeoMule	| Uploading Problem Client							| // X-Ray :: UploadingProblemClient
Feature	| Xman		| NeoMule	| Extened Credit Table Arragement						| // X-Ray :: ExtenedCreditTableArragement
Feature	| xrmb		| NeoMule	| Shared Parts									| // X-Ray :: SharedParts
Feature	| Spike2	| Spike2	| Rebind UPnP on IP-Change							| // X-Ray :: RebindUPnP
Feature	| ???		| NeoMule/JvA	| Safe Preferences Settings - Check Settings on every call of LoadPreferences()	| // X-Ray :: SafePrefsettings
Feature	| David Xanatos	| NeoMule	| Argos Antileechsystem	- slightly modified					| // X-Ray :: Argos
Feature	| ???		| NeoMule/JvA	| LeecherLog									| // X-Ray :: LeecherLog
Add	| Spike2	| Spike2	| Small additions to Sourcecache						| // X-Ray :: Sourcecache
Add	| BlueSonicBoy	| BlueSonicBoy	| Some Improvements in IP-Filter and Sockets					| // X-Ray :: Optimizations
Add	| Spike2/Xman	| Spike2/Xtreme	| Several code Improvements							| // X-Ray :: Optimizations
Change	| Xman		| Xtreme	| Don't save obfuscation required Sources in SourceSaver			| // X-Ray :: SLS
Change	| Xman		| Xtreme	| IP2Country shows now 32bit Flags for Windows >= XP				| // X-Ray :: IP2Country
Change	| WiZaRd	| eMulefuture	| If FS are toggled then the remaining data is recalculated			| // X-Ray :: FullChunk
Change	| Stulle	| MorphXT	| OwnCredits code into the new way for >= 0.48a clients				| // X-Ray :: OwnCredits
Change	| JvA		| JvA		| Swaped Upload- and Download-Speedgraph positions				| // X-Ray :: Speedgraph
Remove	| Xman		| Xtreme	| Uploadtoolbar due to official code						| // X-Ray :: Uploadtoolbar
Remove	| SiRoB		| SilverSurfer	| SolidGraph due to official code						| // X-Ray :: SolidGraph
Remove	| TBT		| pHoeniX	| Fadeout on Exit								| // X-Ray :: FadeoutOnExit
Fix	| WiZaRd	| eMulefuture	| Fixed minor bug around anchor in shared files window				| // X-Ray :: RedesignedFilesWnd
Fix	| Stulle	| Spike2	| Fixed minor statistics bug in preferences.cpp					| // X-Ray :: EnhancedClientRecognization
Fix	| shadow2004	| eMulefuture	| Fixed minor bug around Preferences Dialog					| // X-Ray :: PrefSlider
Fix	| Tuxman/JvA	| JvA		| Fixed minor Statusbarbug;show networkicon(ed2k/kad) even if disabled in prefs	| // X-Ray :: Statusbar
Fix	| Xman		| Xtreme	| Fixed minor PeerCache Bug in StatisticsDlg
Fix	| Xman		| Spike2	| Fixed minor seldom crashbug in Friendlist
Fix	| Xman		| Spike2	| Fixed minor shared files reloadbug on FNF-Exception
Fix	| Xman		| Xtreme	| Fixed minor division by zero bug in Taskbarnotifier
Fix	| Xman		| Xtreme	| Fixed minor crashbug around AICH-Syncthread on Shutdown
Fix	| leuk_he	| MorphXT	| Fixed minor kad path bug
Fix	| ilmira	| ilmira	| Fixed minor valid hash test bug
Fix	| Xman		| Xtreme	| Fixed minor bug around enable/disable ClientList/QueueList
Fix	| fafner	| StulleMule	| Fixed minor mem leak


++++++++++++++++++++++++
X-Ray MoD 1.1
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Feature	| SiRoB		| SilverSurfer	| SolidGraph									| // X-Ray :: SolidGraph
Feature	| Mighty Knife	| StulleMule	| Static Server Handling - don't remove static servers				| // X-Ray :: StaticServerHandling
Feature	| SiRoB		| MorphXT	| Software Column in Upload- & Queuelist					| // X-Ray :: ClientSoftwareColumn
Fix	| JvA		| JvA		| Fixed major Uploadbug - thx 2 LorenzoC & hackersondope2002			| // X-Ray :: FullChunk


++++++++++++++++++++++++
X-Ray MoD 1.0
++++++++++++++++++++++++

Type 	| Idea		| Source/Edit	| Description 									| Used Tag
--------+---------------+---------------+-------------------------------------------------------------------------------+-----------
Update	| itsonlyme	| SiRoB		| New ModID and Modname Code							| // X-Ray :: Modname
Update	| Slugfiller	| Xman/MorphXT	| Minor Update of SafeHash Code							| // X-Ray :: SafeHash
Update	| SiRoB		| Spike2	| Updated "Fix Connection Collision" Code					| // X-Ray :: FixConnectionCollision
Update	| Spike2	| Spike2	| Enhanced Client Recognization							| // X-Ray :: EnhancedClientRecognization
Update	| Maella/Stulle	| Spike2/Neo	| ReAsk Sources - inform eMule's and Donkeys via OP_CHANGE_CLIENT_ID		| // X-Ray :: ReAskSrcAfterIPChange
Update	| netfinity	| Xman		| DynamicBlockRequest - merged few xman changes into netfinity's code		| // X-Ray :: DynamicBlockRequest
Update	| Michael Fatzi	| DavidXanatos	| Updated major parts of the Speedgraph code (CDialog->CWnd)			| // X-Ray :: Speedgraph
Update	| A. Kazakovsky	| WiZaRd	| Updated major parts of the SysInfo code					| // X-Ray :: Statusbar
Update	| David Xanatos	| JvA		| AutoSoftLock v2 - now you can set a global- and a file-based ASL-Value	| // X-Ray :: AutoSoftLock
Readded	|		|		| Readded IRC
Feature	| Slugfiller	| SF-IOM/JvA	| Set UploadPriority in Downloadlist and DownloadPriority in ShareList		| // X-Ray :: DLULPrioExtension
Feature	| ???		| TK4Mod	| Show Unknown Protocol Tags received from Client in Client Detail Dialog	| // X-Ray :: UnknownProtTags
Feature	| BlueSonicBoy	| TK4Mod/JvA	| Redesigned Client Detail Dialog						| // X-Ray :: RedesignedClientDetailDlg
Feature	| itsonlyme	| David Xanatos	| ReqFiles									| // X-Ray :: ReqFiles
Feature	| MorphXT	| NeoMule	| MultiFileStatusBars								| // X-Ray :: MultiFileStatusbars
Feature	| slugfiller	| David Xanatos	| Modeless Dialogs								| // X-Ray :: ModelessDialogs
Feature	| enkeyDEV	| Spike2	| Save/Load Sources								| // X-Ray :: SLS
Feature	| WiZaRd	| eMulefuture	| Save Friendslot								| // X-Ray :: SaveFU
Feature	| netfinity	| Spike2	| UDP Reask security check - Don't accept responses if we haven't asked		| // X-Ray :: UDPReaskSecurityCheck
Feature	| netfinity	| Spike2	| Known Client Bonus								| // X-Ray :: KnownClientBonus
Feature	| WiZaRd	| eMulefuture	| IntelliFlush									| // X-Ray :: IntelliFlush
Feature	| EastShare	| MorphXT/Xman	| IP2Country - added flags, new icons(e+) + Kadflags(emulefuture) + Update	| // X-Ray :: IP2Country
Feature	| Yun.SF3	| MorphXT	| IPFilter Update								| // X-Ray :: IPFilterUpdate
Feature	| Slugfiller	| eMulefuture	| Show Estaminated Time till downloading from Client				| // X-Ray :: QRETA
Feature	| ???		| eMulefuture	| OwnPrefs (preferences_xray.ini)						| // X-Ray :: OwnPrefs
Feature	| ???		| eMulefuture	| FreshPrefs									| // X-Ray :: FreshPrefs
Feature	| Official	| MorphXT/Stulle| Own Mod Version Check								| // X-Ray :: X-Ray Version Check
Feature	| MaxUpload	| Stulle	| Global Hard Limit								| // X-Ray :: Global Hardlimit
Feature	| leuk_he	| eMulefuture	| Obfuscated HTTP-Transfers							| // X-Ray :: ObfuscatedHTTPTransfers
Feature	| eWombat	| eMulefuture	| Winsock2 Support								| // X-Ray :: Winsock2
Feature	| Slugfiller	| Spike2	| InfiniteQueue									| // X-Ray :: InfiniteQueue
Feature	| Slugfiller	| TKB/JvA/Stulle| SlotRelease (Big Thx Stulle for your help)					| // X-Ray :: SlotRelease
Feature	| Xman		| Spike2	| 80% score for non SUI clients							| // X-Ray :: ScoreReducedNonSUIClients
Feature	| Xman		| Xtreme	| Uploadtoolbar									| // X-Ray :: Uploadtoolbar
Feature	| WiZaRd	| eMulefuture	| Redesigned Shared Files Window						| // X-Ray :: RedesignedFilesWnd
Feature	| Stulle	| Stulle	| Compat Client Stats								| // X-Ray :: CompatClientStats
Add	| JvA		| JvA		| Added some more checks for AutoSoftLock and ActiveConnectionControl
Replace	| DonkeyHote	| WiZaRd	| Replaced the old (buggy) toolbar code with the new one			| // X-Ray :: Toolbar
Replace	| itsonlyme	| eMulefuture	| Replaced QRDiff code with itsonlyme's one (thought it was little bit buggy)	| // X-Ray :: QRdiff
Replace	| Commander	| NeoMule	| Replaced the old Clientpercentage with NeoMule's				| // X-Ray :: ClientPercentage
Replace	| DarkMaster	| DarkMaster	| Replaced the old Toolbar with the new one designed by DarkMaster		| // X-Ray :: Toolbar
Changed	| VQB/WiZaRd	| Spike2	| Removed Normal- and FriendChunkNr and changed FriedUploadamount to max 4gb	| // X-Ray :: FullChunk
Remove	| sivka		|		| Don't interrupt upload if waiting queue empty or friend-slot			| // X-Ray :: HoldULSessionOnEmptyQueue
Remove	| Xanatos/JvA	|		| Removed Skinable Toolbar							| // X-Ray :: SkinableToolbar
Remove	| Avi3k		| hebmule	| Extended Shared View								| // X-Ray :: ExtendedSharedView
Fix	| DavidXanatos	| NeoMule	| Critical Packet Fix								| // X-Ray :: CriticalPacketFix
Fix	| WiZaRd	| eMulefuture	| Threadsafe Fix								| // X-Ray :: ThreadsafeFix
Fix	| MadDog	| JvA		| Fixed Trayicon bug that Downloadbar wasn't shown
Fix	| JvA		| JvA		| Fixed Sortbug of TotalUpDown							| // X-Ray :: TotalUpDown
Fix	| WiZaRd	| JvA		| Fixed small displaybug around XP-GroupBox					| // X-Ray :: XP-GroupBox
Fix	| WiZaRd	| JvA		| Fixed wrong lables of NiceHash Settings					| // X-Ray :: NiceHash
Fix	| WiZaRd	| NeoMule	| Fixed Loop-Bug in ClientList.cpp						| // X-Ray :: LoopImprovement
Fix	| Xman		| Xtreme	| Fixed destroy splashscreen bug when you close emule right after start		| // X-Ray :: SplashExtended
Fix	| JvA		| JvA		| Fixed minor Load/Save Bug of ReleaseBonus-Preferences				| // X-Ray :: ReleaseBonus
Fix	| dlarge	| JvA		| Fixed major Bug of VariableReaskTime-Preferences				| // X-Ray :: VariableReaskTime
Fix	| JvA		| JvA		| Fixed major Bug of DropSources-Preferences					| // X-Ray :: DropSystem

Note: If you upgrade from a earlier X-Ray you have to set all ModPrefs again (Own Preferences File).


++++++++++++++++++++++++
X-Ray MoD 0.3
++++++++++++++++++++++++

Type 	| Idea/Src from | Description 									| Used Tag
--------+---------------+-------------------------------------------------------------------------------+-----------
Merge	|		| Merged to 47c Codebase
Update	| Xman		| Updated Sourcecache Implementation						| // X-Ray :: Sourcecache
Update	| WiZaRd	| Updated AutomaticKademliaFirewalledRecheck Implementation			| // X-Ray :: AutoKadFirewallRecheck
Feature	| Slugfiller	| SearchCatch									| // X-Ray :: SearchCatch
Feature	| itsonlyme/Neo	| CacheUDPsearchResults								| // X-Ray :: CacheUDPSearchResults
Feature	| eWombat/WiZaRd| Connetion Checker								| // X-Ray :: ConChecker
Feature	| Maella/Stulle	| ReAsk Sources after IP Change							| // X-Ray :: ReAskSrcAfterIPChange
Feature	| Spike2/Pawcio	| Reconnect to Kademlia (after Connection error)				| // X-Ray :: ReconnectToKadAfterConnectionError
Feature	| WiZaRd	| Reset Kad-IP on IP Change							| // X-Ray :: ResetKadIP
Feature	| Slug./Stulle	| Spread ReAsk									| // X-Ray :: SpreadReask
Feature	| Stulle	| Variable ReAsk Time								| // X-Ray :: VariableReaskTime
Feature	| Spike2/TK4	| Enhanced Client Recognization							| // X-Ray :: EnhancedClientRecognization
Feature	| Max/Obelix/JvA| ActiveConnectionControl							| // X-Ray :: ActiveConnectionControl
Feature	| NeoMule	| AutoSoftLock									| // X-Ray :: AutoSoftLock
Feature	| Peace/JvA	| Added icons to show the Queue Difference better				| // X-Ray :: QRdiff
Feature	| Avi3k		| Extended Shared View								| // X-Ray :: ExtendedSharedView
Feature	| WiZaRd/JvA	| 3D-Text for PrefSlider							| // X-Ray :: 3DTextForPrefSlider
Feature	| WiZaRd/JvA	| X-Ray Color Style for the PrefSlider						| // X-Ray :: PrefSliderColors
Feature	| pHoeniX	| Fadeout on Exit								| // X-Ray :: FadeoutOnExit
Feature	| pHoeniX/eMF	| XP-GroupBox									| // X-Ray :: XP-GroupBox
Feature	| WiZaRd	| Relax on Start-Up								| // X-Ray :: RelaxOnStartUp
Feature	| WiZaRd	| Now so you can always see e.g. UL/DL stats even if the client is offline	| // X-Ray :: OfflineFriendData
Feature	| Tarod/MorphXT	| Show Compression in UploadListCtrl						| // X-Ray :: ShowCompression
Feature	| WiZaRd/Lama	| New nice looking Statistics							| // X-Ray :: WiZaRdStats
Feature	| Bastard/eF-Mod| Nice Hash									| // X-Ray :: NiceHash
Feature	| WiZaRd/Bastard| Nice Move									| // X-Ray :: NiceMove
Feature	| TPT/Xtreme/JvA| ProcessPriority - differs from Xtreme, Priority is set AFTER complete start	| // X-Ray :: ProcessPrio
Feature	| Xtreme	| Don't overwrite bak files if last sessions crashed				| // X-Ray :: DontOverwriteBakFiles
Feature	| pHeonix/Neo	| Added Tabbed Preferences							| // X-Ray :: PPgPrefTabs
Feature	| Sivka/JvA	| SourceDropSystem								| // X-Ray :: DropSystem
Feature	| Stulle	| Auto Drop Immunity								| // X-Ray :: AutoDropImmunity
Feature	| Sivka		| Don't interrupt upload if waiting queue empty or friend-slot			| // X-Ray :: HoldULSessionOnEmptyQueue
Feature	| Sivka/Xman	| Stop Downloading from one single client					| // X-Ray :: StopDownload
Feature	| Spike/WiZaRd	| Faster Re-Ask on MLdonkeys							| // X-Ray :: FastReaskforMLDonkey
Feature	| netfinity	| Anti-Shape									| // X-Ray :: AntiShape
Improve	| NeoMule	| BetterClientAttaching								| // X-Ray :: BetterClientAttaching
Improve	| NeoMule/WiZaRd| LoopImprovement								| // X-Ray :: LoopImprovement
Improve	| Xman		| Init-Hashtable optimization							| // X-Ray :: KnownFileListHashTableImprovement
Improve	| Xman		| Don't refresh list-item on deletion						| // X-Ray :: DontRefreshOnItemDeletion
Improve	| WiZaRd	| Proper KadClientList-Client deletion						| // X-Ray :: ProperKadClientListCleanup
Add	|		| Added many Preferences Security Checks and Limits to the Slotcontrol
Add	| Xanatos	| Added some code to SessionDownloadFeature					| // X-Ray :: SessionDownload
Changed	| JvA		| Few things in ChunkSettings and the calculation				| // X-Ray :: FullChunk
Removed	| Xman		| Better Chunk Selection - it's not needed at the moment cause of the zz code
Removed	| NexteMF	| Official Toolbar Code
Fix	| Sirob		| Fix Connection Collision							| // X-Ray :: FixConnectionCollision
Fix	|		| Fixed some things for the debug mode
Fix	| DavidXanatos	| Fixed a Bug in the new XS v4 for Obfuscation
Fix	| Xman		| Crashfix At Mmsocket
Fix	| shadow2004	| Show the correct serverport in networkinfodlg if obfuscution is used
Fix	| WiZaRd	| XS-workaround for older clients
Fix	|		| Small displayfix in Splashscreen (thx WiZ for reporting)


++++++++++++++++++++++++
X-Ray MoD 0.2 Alpha
++++++++++++++++++++++++

Type 	| Idea/Src from | Description 									| Used Tag
--------+---------------+-------------------------------------------------------------------------------+-----------
Merge	|		| Merged to 47b Codebase
Feature	| SF-IOM	| Completed SafeHash Implementation						| // X-Ray :: SafeHash
Feature	| Morph/Xtreme	| Threaded FlushBuffer								| // X-Ray :: FlushBuffer
Feature	| Xtreme	| Queued Disc-Access for Read/Flushing-Threads					| // X-Ray :: QueuedFlushThreads
Feature	| Morph/Xtreme	| ReadBlockFromFileThread							| // X-Ray :: ReadBlockFromFileThread
Feature	| O2/Xtreme	| Hash Progress									| // X-Ray :: HashProgress
Feature	| MorphXT	| Display current uploading chunk						| // X-Ray :: UploadChunkDisplay
Feature	| MorphXT	| Display current downloading chunk						| // X-Ray :: DownloadChunkDisplay
Feature	| eF-Mod	| Show Total UP/DOWN								| // X-Ray :: TotalUpDown
Feature	| xrmb		| Confirmed download								| // X-Ray :: ConfirmedDownload
Feature	| xrmb		| See the need									| // X-Ray :: SeeTheNeed
Feature	| Slugfiller	| Show chunk dots in downloadlist progress 					| // X-Ray :: ChunkDots
Feature	| Slugfiller	| DoubleLucas									| // X-Ray :: DoubleLucas
Feature	| Slugfiller	| QPFPush - Gives an inverse boost to less popular files for more equality	| // X-Ray :: QPFPush
Feature	| Moonlight/Scar| Save Upload-Queue-Wait-Time							| // X-Ray :: SUQWT
Feature	| Sivka/Stulle	| Release Bonus									| // X-Ray :: ReleaseBonus
Feature	| netfinity	| Drop Stalled Sources								| // X-Ray :: DropStalledSources
Feature	| netfinity	| Delayed NNP									| // X-Ray :: DelayedNNP
Feature	| netfinity	| Reask Partstatus on NNP							| // X-Ray :: ReaskPartstatusOnNNP
Feature	| JvA		| All P2P get their correct icon and clients with ext.-prot. get an overlayicon	| // X-Ray :: CorrectAppIcons
Changed	| WiZaRd	| Makes eMule to keep the PROPER limit of the queue				| // X-Ray :: QueueSizeFix
Changed	| JvA		| Changed executable icon
Removed	| Slugfiller	| NoNeededRequeue due to netfinity's code					| // X-Ray :: NoNeededRequeue


++++++++++++++++++++++++
X-Ray MoD 0.1 Alpha
++++++++++++++++++++++++

Type 	| Idea/Src from | Description 									| Used Tag
--------+---------------+-------------------------------------------------------------------------------+-----------
Feature	| netfinity	| DynamicBlockRequest								| // X-Ray :: DynamicBlockRequest
Feature	| BlueSonicBoy	| DL Part completion speed-up code						| // X-Ray :: PartCompletionSpeedUp
Feature	| Xman		| Better Passive Source Finding							| // X-Ray :: BetterPassiveSourceFinding
Feature	| Xman		| Better Chunk Selection							| // X-Ray :: BetterChunkSelection
Feature	| Xman		| Find best Sources								| // X-Ray :: FindBestSources
Feature	| Slugfiller	| NoNeededRequeue								| // X-Ray :: NoNeededRequeue
Feature	| Avi3k		| Colored Queue rank difference to the download list				| // X-Ray :: QRdiff
Feature	| Morph/JvA	| Colored Clientstate								| // X-Ray :: ColoredClientstate
Feature	| Commander	| Client Percentage								| // X-Ray :: ClientPercentage
Feature	| Xanatos	| Session Download								| // X-Ray :: SessionDownload
Feature	| VQB		| OwnCredits									| // X-Ray :: OwnCredits
Feature	| Sivka/JvA	| Slot Control									| // X-Ray :: SlotControl
Feature	| VQB/WiZaRd	| FullChunkTransfer								| // X-Ray :: FullChunk
Feature	| WiZaRd	| You can set the minimum Nr. of Chunks that will be transfered @ Friend-UL	| // X-Ray :: FUChunkNr
Feature	| JvA		| You can set the minimum Nr. of Chunks that will be transfered @ Normal-UL	| // X-Ray :: NormalChunkNr
Feature	| Xman		| Sourcecache									| // X-Ray :: Sourcecache
Feature	| Neo		| Preferences Banner								| // X-Ray :: PrefBanner
Feature	| Neo/eMule+	| Preferences SlideBar								| // X-Ray :: PrefSlider
Feature	| eF-Mod	| New Statusbar Arrangement and fixed some bugs in the eF-Implementation	| // X-Ray :: Statusbar
Feature	| DonkeyHote	| New Toolbar including fixes and several changes (Thx to TommyB for the optic)	| // X-Ray :: Toolbar
Feature	| Xanatos/JvA	| Toolbar is now skinable, so you can use your own images for the bar		| // X-Ray :: SkinableToolbar
Feature	| eF-MOD	| High resulution speedmeter on toolbar with some fixes from David Xanatos	| // X-Ray :: Speedgraph
Feature	| Xtreme	| New SplashScreen Arangement							| // X-Ray :: SplashExtended
Feature	| SF-IOM/Xtreme	| SafeHash									| // X-Ray :: SafeHash
Feature	| Xman/NetF	| If your upload is > 80 kb/s emule switch to lower compression			| // X-Ray :: VariableCompression
Feature	| Xman		| Code Improvement for choosing to use compression				| // X-Ray :: CompressionChoosing
Feature	| Slugfiller	| Requested blocks are now clipped to chunk limits and max. allowed block size	| // X-Ray :: ReqBlocksClipping
Feature	| WiZaRd	| Improved Uploadcaching							| // X-Ray :: ImprovedUploadCaching
Feature	| Avi3k		| Improved Kad's encoding code for CUInt128					| // X-Ray :: KadEncode
Feature	| WiZaRd	| AutomaticKademliaFirewalledRecheck						| // X-Ray :: AutoKadFirewallRecheck
Feature	| SiRoB		| Outlined Percentage								| // X-Ray :: OutlinedPercentage
Feature	| Slugfiller	| ModID										| // X-Ray :: ModID
Feature	| NeoMule	| ModLog									| // X-Ray :: ModLog
Change	|		| Changed several Colors
Feature	| itsonlyme	| Modname is shown everywhere in the mod					| // X-Ray :: Modname
Tweak	| SiRoB		| Don't send extended tags to client that don't support it to reduce overhead	| // X-Ray :: ExtendedProtokolCheck
Fix	| WiZaRd	| Some MemLeakFixes